• Sign in to Neowin Faster!

    Create an account on Neowin to contribute and support the site.

Sign in to follow this  

Program that used to work doesn't work anymore after Windows 10 Spring Creators update

Recommended Posts

r00tcracker    0

Hey guys,

 

I'm scratching my head at this one.

I've been using this program for years now, and it worked perfect until the recent April Spring creators update for Windows 10.

Program is this one. http://www.therenamer.com/

I double click on it and the process is killed immediately.

Did anyone encounter any issues with software that worked before and stopped working?

If so, what did you do to fix it?

 

I tried opening in admin mode, compatibility mode, nothing worked.

 

Thanks in advance!

Share this post


Link to post
Share on other sites
adrynalyne    11,389
1 minute ago, r00tcracker said:

Hey guys,

 

I'm scratching my head at this one.

I've been using this program for years now, and it worked perfect until the recent April Spring creators update for Windows 10.

Program is this one. http://www.therenamer.com/

I double click on it and the process is killed immediately.

Did anyone encounter any issues with software that worked before and stopped working?

If so, what did you do to fix it?

 

I tried opening in admin mode, compatibility mode, nothing worked.

 

Thanks in advance!

Have you tried reinstalling it?

Share this post


Link to post
Share on other sites
+jnelsoninjax    11,699
4 minutes ago, r00tcracker said:

Hey guys,

 

I'm scratching my head at this one.

I've been using this program for years now, and it worked perfect until the recent April Spring creators update for Windows 10.

Program is this one. http://www.therenamer.com/

I double click on it and the process is killed immediately.

Did anyone encounter any issues with software that worked before and stopped working?

If so, what did you do to fix it?

 

I tried opening in admin mode, compatibility mode, nothing worked.

 

Thanks in advance!

The issue with that program is .net, in the newest version of Windows .net has been updated and since therenamer is written in .net it is not working anymore. I have tried to reach out to the developer, but he seems to no longer around, as his website has had no updates since ~2010 and the same with his Twitter feed.

Share this post


Link to post
Share on other sites
adrynalyne    11,389
5 minutes ago, jnelsoninjax said:

The issue with that program is .net, in the newest version of Windows .net has been updated and since therenamer is written in .net it is not working anymore. I have tried to reach out to the developer, but he seems to no longer around, as his website has had no updates since ~2010 and the same with his Twitter feed.

.NET 4.7.x is backwards compatible to 4.5 but even if it isn’t, you can download older runtimes. Sounds like he may have used a system call he shouldn’t have and it was changed in the update. Visual Studio typically warns developers when they do that for this very reason. It’s up to them whether they ignore it or not. 

Share this post


Link to post
Share on other sites
r00tcracker    0
18 minutes ago, adrynalyne said:

Have you tried reinstalling it?

Yeah, I did. Didn't work.

 

 

13 minutes ago, jnelsoninjax said:

The issue with that program is .net, in the newest version of Windows .net has been updated and since therenamer is written in .net it is not working anymore. I have tried to reach out to the developer, but he seems to no longer around, as his website has had no updates since ~2010 and the same with his Twitter feed.

Yeah, the project seems abandoned, shame because that program was amazing! :(

 

10 minutes ago, adrynalyne said:

.NET 4.7.x is backwards compatible to 4.5 but even if it isn’t, you can download older runtimes. Sounds like he may have used a system call he shouldn’t have and it was changed in the update. Visual Studio typically warns developers when they do that for this very reason. It’s up to them whether they ignore it or not. 

Do you think it is possible to make this work somehow??

 

 

Thank you guys for all the replies!!

Share this post


Link to post
Share on other sites
adrynalyne    11,389
4 hours ago, r00tcracker said:

Yeah, I did. Didn't work.

 

 

Yeah, the project seems abandoned, shame because that program was amazing! :(

 

Do you think it is possible to make this work somehow??

 

 

Thank you guys for all the replies!!

It depends on why it’s breaking. Do you have an error message to work with? I’ll download the program later today to work with. 

 

If you don’t have an error, take a look at your event logs (application) and see if the crash is recorded there. The easiest thing to do is clear the log, run the app, refresh the log and look for errors. 

Share this post


Link to post
Share on other sites
r00tcracker    0
15 hours ago, adrynalyne said:

It depends on why it’s breaking. Do you have an error message to work with? I’ll download the program later today to work with. 

 

If you don’t have an error, take a look at your event logs (application) and see if the crash is recorded there. The easiest thing to do is clear the log, run the app, refresh the log and look for errors. 

Hey,

No, there are no error messages, and no logs. It just doesn't start, the event gets killed immediately :(

Thanks for downloading it and testing adrynalyne.

Hope you can figure out a way.

Share this post


Link to post
Share on other sites
+virtorio    3,101

This is not a .Net application, it's a VB6 application (window class: ThunderRT6FormDC) that uses the Flash ActiveX control to run a Flash application (window client control: MacromediaFlashPlayerActiveX). Good luck getting that to work.

  • Like 1

Share this post


Link to post
Share on other sites
adrynalyne    11,389

Just downloaded and confirmed, it is not a .NET application. @jnelsoninjax, what made you think it was?

Share this post


Link to post
Share on other sites
+jnelsoninjax    11,699
31 minutes ago, adrynalyne said:

Just downloaded and confirmed, it is not a .NET application. @jnelsoninjax, what made you think it was?

It seemed to be the most logical explanation, did you get the program to work? 

Share this post


Link to post
Share on other sites
adrynalyne    11,389
22 minutes ago, jnelsoninjax said:

It seemed to be the most logical explanation, did you get the program to work? 

No, likely because I do not have Flash installed and am unwilling to install it on my system. Also, this application isn't supported in 64 bit Windows per their forum.

Share this post


Link to post
Share on other sites
+jnelsoninjax    11,699
4 hours ago, adrynalyne said:

No, likely because I do not have Flash installed and am unwilling to install it on my system. Also, this application isn't supported in 64 bit Windows per their forum.

It does not use flash, and it worked fine in 64 bit windows prior to the 1803 update, so something else is causing the application not to work. I reviewed the event logs and it does not show up there at all.

Share this post


Link to post
Share on other sites
devHead    1,964

Did you try running it in compatibility mode for an earlier operating system?  That might work.  Never mind, I just realized you already did that...

Share this post


Link to post
Share on other sites
adrynalyne    11,389
2 hours ago, jnelsoninjax said:

It does not use flash, and it worked fine in 64 bit windows prior to the 1803 update, so something else is causing the application not to work. I reviewed the event logs and it does not show up there at all.

It even says it does on the forums. I’m guessing if the included library fails (if the developer even added that), it might try using an external one. This program has s history of not working over the years. It’s simply a POS. 

Share this post


Link to post
Share on other sites
r00tcracker    0

@adrynalyne, thank you so much for trying. Like @jnelsoninjax said, this used to work before the update, I do have flash installed.

I guess I will just have to fix my TV shows manually :(

 

Thanks for all your help guys.

If anyone finds a solution, just let me know :)

Share this post


Link to post
Share on other sites
Jim K    12,819
1 hour ago, r00tcracker said:

@adrynalyne, thank you so much for trying. Like @jnelsoninjax said, this used to work before the update, I do have flash installed.

I guess I will just have to fix my TV shows manually :(

 

Thanks for all your help guys.

If anyone finds a solution, just let me know :)

There is this ...

http://www.tvrename.com/index

 

Also the Windows Store has a program called "FileBot" ... though it costs $20. https://www.filebot.net/.

 

Both appear similar in functionality as the program you're having issues with.  Please note ... I haven't used any of these programs.

Share this post


Link to post
Share on other sites
Mando    5,117
On 5/4/2018 at 11:07 AM, jnelsoninjax said:

The issue with that program is .net, in the newest version of Windows .net has been updated and since therenamer is written in .net it is not working anymore. I have tried to reach out to the developer, but he seems to no longer around, as his website has had no updates since ~2010 and the same with his Twitter feed.

you can install .net 3.5 easily if required to W10/S2k12/16 its no longer installed by default.

 

https://docs.microsoft.com/en-us/dotnet/framework/install/dotnet-35-windows-10

Share this post


Link to post
Share on other sites
r00tcracker    0
11 hours ago, Jim K said:

There is this ...

http://www.tvrename.com/index

 

Also the Windows Store has a program called "FileBot" ... though it costs $20. https://www.filebot.net/.

 

Both appear similar in functionality as the program you're having issues with.  Please note ... I haven't used any of these programs.

Yeah, The firs one you mentioned doesn't work properly an Filebot, yeahhhh, not paying 20 bucks for it, I will rename manually hahhahaha, thanks though!!

 

10 hours ago, Mando said:

you can install .net 3.5 easily if required to W10/S2k12/16 its no longer installed by default.

 

https://docs.microsoft.com/en-us/dotnet/framework/install/dotnet-35-windows-10

I believe you can't have 2 versions of .NET installed and this program is not worth the downgrade.

Also, this program was working in the fall creators update, that used 4.6.2 I believe, and that was backwards compatible to 4.0, so I don't think it needs 3.5.

 

Thanks again for all your help guys, really appreciated!

Share this post


Link to post
Share on other sites
Mando    5,117
19 minutes ago, r00tcracker said:

I believe you can't have 2 versions of .NET installed and this program is not worth the downgrade.

Also, this program was working in the fall creators update, that used 4.6.2 I believe, and that was backwards compatible to 4.0, so I don't think it needs 3.5.

 

Dont know where you assumed that from mate, each version of .net is independant. Look at Windows features you can add 3.5 AND 4.7 out of the box.

I have 3.5 and 4.7 on a pile of 2012 servers and a few workstations at work.

Share this post


Link to post
Share on other sites
r00tcracker    0
7 minutes ago, Mando said:

Dont know where you assumed that from mate, each version of .net is independant. Look at Windows features you can add 3.5 AND 4.7 out of the box.

I have 3.5 and 4.7 on a pile of 2012 servers and a few workstations at work.

I read it here.

 

https://docs.microsoft.com/en-us/dotnet/framework/install/on-windows-10

 

Additional information

.NET Framework 4.x versions are in-place updates to earlier versions. That means the following:

You can only have one version of the .NET Framework 4.x installed on your machine.

You cannot install an earlier version of the .NET Framework on your machine if a later version is already installed.

4.x versions of the .NET Framework can be used to run applications built for the .NET Framework 4.0 through that version. For example, .NET Framework 4.7 can be used to run applications built for the .NET Framework 4.0 through 4.7. The latest version (the .NET Framework 4.7.1) can be used to run applications built will all versions of the .NET Framework starting with 4.0.

Share this post


Link to post
Share on other sites
Riva    1,110
Just now, r00tcracker said:

I read it here.

 

https://docs.microsoft.com/en-us/dotnet/framework/install/on-windows-10

 

Additional information

.NET Framework 4.x versions are in-place updates to earlier versions. That means the following:

You can only have one version of the .NET Framework 4.x installed on your machine.

You cannot install an earlier version of the .NET Framework on your machine if a later version is already installed.

4.x versions of the .NET Framework can be used to run applications built for the .NET Framework 4.0 through that version. For example, .NET Framework 4.7 can be used to run applications built for the .NET Framework 4.0 through 4.7. The latest version (the .NET Framework 4.7.1) can be used to run applications built will all versions of the .NET Framework starting with 4.0.

Only after 4.x. 3.5 actually needs .net 2.0 runtime and you can have two major versions running on the same PC.

In regards to the issue the OP is facing, the app does not appear to be .NET based as IL disassembler says it has an invalid header. So the installable is either corrupt or unmanaged.

Share this post


Link to post
Share on other sites
Mando    5,117
9 minutes ago, r00tcracker said:

I read it here.

 

https://docs.microsoft.com/en-us/dotnet/framework/install/on-windows-10

 

Additional information

.NET Framework 4.x versions are in-place updates to earlier versions. That means the following:

You can only have one version of the .NET Framework 4.x installed on your machine.

You cannot install an earlier version of the .NET Framework on your machine if a later version is already installed.

4.x versions of the .NET Framework can be used to run applications built for the .NET Framework 4.0 through that version. For example, .NET Framework 4.7 can be used to run applications built for the .NET Framework 4.0 through 4.7. The latest version (the .NET Framework 4.7.1) can be used to run applications built will all versions of the .NET Framework starting with 4.0.

yes, 1 version of .net 4.x that does not include 3.5 or 2.0 buddy ;) they are stand alone and infact 3.5 can be added to W10 from add programs and features, regardless of the presence of 4.x or not.

 

"NET Framework 4.x versions are in-place updates to earlier versions." < earlier versions of 4.x :) not ealrier versions of .net since v1.0

 

TBH MS have not worded it very well.

Share this post


Link to post
Share on other sites
Jim K    12,819

Thought this was a Flash "issue" .... not a .NET issue?  I stumbled across this thread on the Adobe forums with respect to TheRenamer and Flash ....

 

https://forums.adobe.com/thread/2476487

Share this post


Link to post
Share on other sites
Circaflex    3,539

@r00tcracker take a look at Media Companion, it has the same feature set from what I can tell and I know it works on the newest update because I use this app to sort my movies and TV shows. https://sourceforge.net/projects/mediacompanion/

Share this post


Link to post
Share on other sites
r00tcracker    0
5 hours ago, Jim K said:

Thought this was a Flash "issue" .... not a .NET issue?  I stumbled across this thread on the Adobe forums with respect to TheRenamer and Flash ....

 

https://forums.adobe.com/thread/2476487

Ohhh this is great! Thanks @Jim K, I guess we are done with TheRenamer then :(

 

 

4 hours ago, Circaflex said:

@r00tcracker take a look at Media Companion, it has the same feature set from what I can tell and I know it works on the newest update because I use this app to sort my movies and TV shows. https://sourceforge.net/projects/mediacompanion/ 

@Circaflex Thanks!! Will look into this!!!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.